## GTK CSS Properties

Property | Reference | Notes
--- | --- | ---
color | CSS Color Level 3 |
opacity | CSS Color Level 3 |
filter | CSS Filter Effect Level 1 |
font-family | CSS Fonts Level 3 | defaults to gtk-font-name setting
font-size | CSS Fonts Level 3 | defaults to gtk-font-name setting
font-style | CSS Fonts Level 3 |
font-variant | CSS Fonts Level 3 | only CSS2 values supported
font-weight | CSS Fonts Level 3 |
font-stretch | CSS Fonts Level 3 |
font-kerning | CSS Fonts Level 3 |
font-variant-ligatures | CSS Fonts Level 3 |
font-variant-position | CSS Fonts Level 3 |
font-variant-caps | CSS Fonts Level 3 |
font-variant-numeric | CSS Fonts Level 3 |
font-variant-alternates | CSS Fonts Level 3 |
font-variant-east-asian | CSS Fonts Level 3 |
font-feature-settings | CSS Fonts Level 3 |
font-variation-settings | CSS Fonts Level 4 |
-gtk-dpi | Number | defaults to screen resolution
font | CSS Fonts Level 3 | CSS allows line-height, etc
font-variant | CSS Fonts Level 3 |
caret-color | CSS Basic User Interface Level 3 | CSS allows an auto value
-gtk-secondary-caret-color | Color | used for the secondary caret in bidirectional text
letter-spacing | CSS Text Level 3 |
text-decoration-line | CSS Text Decoration Level 3 | CSS allows overline
text-decoration-color | CSS Text Decoration Level 3 |
text-decoration-style | CSS Text Decoration Level 3 | CSS allows dashed and dotted
text-shadow | CSS Text Decoration Level 3 |
text-decoration | CSS Text Decoration Level 3 |
-gtk-icon-source | Image, `builtin` or `none` | used for builtin icons in buttons and expanders
-gtk-icon-size | Length | size used for builtin icons in buttons and expanders
-gtk-icon-style | `requested`, `regular` or `symbolic` | preferred style for application-loaded icons
-gtk-icon-transform | Transform list or `none` | applied to builtin and application-loaded icons
-gtk-icon-palette | Color palette, as explained above | used to recolor symbolic icons
-gtk-icon-shadow | Shadow or `none` | applied to builtin and application-loaded icons
-gtk-icon-filter | Filter value list or `none` | applied to builtin and application-loaded icons
transform | CSS Transforms Level 2 |
min-width | CSS Box Model Level 3 | CSS allows percentages
min-height | CSS Box Model Level 3 | CSS allows percentages
margin-top | CSS Box Model Level 3 | CSS allows percentages or auto
margin-right | CSS Box Model Level 3 | CSS allows percentages or auto
margin-bottom | CSS Box Model Level 3 | CSS allows percentages or auto
margin-left | CSS Box Model Level 3 | CSS allows percentages or auto
padding-top | CSS Box Model Level 3 | CSS allows percentages
padding-right | CSS Box Model Level 3 | CSS allows percentages
padding-bottom | CSS Box Model Level 3 | CSS allows percentages
padding-left | CSS Box Model Level 3 | CSS allows percentages
margin | CSS Box Model Level 3 | a “four sides” property
padding | CSS Box Model Level 3 | a “four sides” property
border-top-width | CSS Backgrounds and Borders Level 3 | CSS allows other values
border-right-width | CSS Backgrounds and Borders Level 3 | CSS allows other values
border-bottom-width | CSS Backgrounds and Borders Level 3 | CSS allows other values
border-left-width | CSS Backgrounds and Borders Level 3 | CSS allows other values
border-top-style | CSS Backgrounds and Borders Level 3 |
border-right-style | CSS Backgrounds and Borders Level 3 |
border-bottom-style | CSS Backgrounds and Borders Level 3 |
border-left-style | CSS Backgrounds and Borders Level 3 |
border-top-right-radius | CSS Backgrounds and Borders Level 3 |
border-bottom-right-radius | CSS Backgrounds and Borders Level 3 |
border-bottom-left-radius | CSS Backgrounds and Borders Level 3 |
border-top-left-radius | CSS Backgrounds and Borders Level 3 |
border-top-color | CSS Backgrounds and Borders Level 3 |
border-right-color | CSS Backgrounds and Borders Level 3 |
border-bottom-color | CSS Backgrounds and Borders Level 3 |
border-left-color | CSS Backgrounds and Borders Level 3 |
border-image-source | CSS Backgrounds and Borders Level 3 |
border-image-repeat | CSS Backgrounds and Borders Level 3 |
border-image-slice | CSS Backgrounds and Borders Level 3 | a “four sides” property
border-image-width | CSS Backgrounds and Borders Level 3 | a “four sides” property
border-width | CSS Backgrounds and Borders Level 3 | a “four sides” property
border-style | CSS Backgrounds and Borders Level 3 | a “four sides” property
border-color | CSS Backgrounds and Borders Level 3 | a “four sides” property
border-top | CSS Backgrounds and Borders Level 3 |
border-right | CSS Backgrounds and Borders Level 3 |
border-bottom | CSS Backgrounds and Borders Level 3 |
border-left | CSS Backgrounds and Borders Level 3 |
border | CSS Backgrounds and Borders Level 3 |
border-radius | CSS Backgrounds and Borders Level 3 |
border-image | CSS Backgrounds and Borders Level 3 |
outline-style | CSS Basic User Interface Level 3 | initial value is none, auto is not supported
outline-width | CSS Basic User Interface Level 3 |
outline-color | CSS Basic User Interface Level 3 | initial value is currentColor, invert is not supported
outline-offset | CSS Basic User Interface Level 3 |
outline | CSS Basic User Interface Level 3 |
background-color | CSS Backgrounds and Borders Level 3 |
background-clip | CSS Backgrounds and Borders Level 3 |
background-origin | CSS Backgrounds and Borders Level 3 |
background-size | CSS Backgrounds and Borders Level 3 |
background-position | CSS Backgrounds and Borders Level 3 |
background-repeat | CSS Backgrounds and Borders Level 3 |
background-image | CSS Backgrounds and Borders Level 3 | not supported: urls without quotes, colors in crossfades
box-shadow | CSS Backgrounds and Borders Level 3 |
background-blend-mode | CSS Compositing and Blending Level 1 | only affects multiple backgrounds
background | CSS Backgrounds and Borders Level 3 |
transition-property | CSS Transitions |
transition-duration | CSS Transitions |
transition-timing-function | CSS Transitions |
transition-delay | CSS Transitions |
transition | CSS Transitions |
animation-name | CSS Animations Level 1 |
animation-duration | CSS Animations Level 1 |
animation-timing-function | CSS Animations Level 1 |
animation-iteration-count | CSS Animations Level 1 |
animation-direction | CSS Animations Level 1 |
animation-play-state | CSS Animations Level 1 |
animation-delay | CSS Animations Level 1 |
animation-fill-mode | CSS Animations Level 1 |
animation | CSS Animations Level 1 |
border-spacing | CSS Table Level 3 | respected by GtkBox and GtkGrid